# Calendar Color Field

This is a technical module. It doesn’t do anything on its own.

Odoo introduced a mechanism to set the desired color for a calendar filter, through the field’s color attribute.

Unfortunately, this only works for filters, but not if we want to use the calendar’s color attribute.

This module makes the appropiate changes so that the filter’s color is used, if available.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Set a color attribute value on any many2one calendar field set as filter and set the calendar’s color attribute to use the same many2one field.

Example:

    <calendar color="category_id">
        <field name="category_id" filter="1" color="kanban_color"/>
    </calendar>

- category_id is a Many2one field in your record.
- kanban_color is an integer field in your category record.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Iván Todorovich

## Contributors

- Iván Todorovich <ivan.todorovich@gmail.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.